Subject: Names in ACTPU/ACTLU

From: David Bryant/HQ/3Com <[email-masked]>
Date: 18 Dec 95 16:18:30 EDT

Derek -

I cannot off the top of my head give an example of the problems in mapping 
XID0/XID1 to XID3.
My concern is that this would involve implying to the PU4/5 that the downstream 
device is XID3 (T2.1) capable when, in fact, it is not.   This is likely to 
lead to problems.  I suppose I'd like to see (or study) some flows before I 
felt comfortable with the idea.

With respect to leased lines, the intent was for the user to code XID=YES which 
would result in an XID outbound from the PU4/5.   Assuming the XID is an XID0 
or XID1, we'd need the new XID bits to tell the PU4/5 to send names in 
ACTPU/ACTLU.   Meanwhile, the receiving device knowing the downstream PU2 
(leased SDLC/X.25) does not send/receive XID, would wait for  the Set Mode 
command.     This is essentially what is done with DLSw today when one side is 
LAN and the other WAN. 

-Dave
PS. I'm wondering if coding XID=YES results in an XID3 (always).  I have this 
strange recollection that this is, indeed, the case.